package example.hello.client;

import static example.common.util.ExampleUtils.*;
import example.hello.service.impl.HelloServiceBean;

public class SimpleHelloClient extends HelloClient {

    public SimpleHelloClient() {
        super(new HelloServiceBean());
    }

    public static void main(String[] args) {
        HelloClient client = new SimpleHelloClient();
        String name = getArg(args, 0);
        System.out.println(client.sayHello(name));
    }

}
